!!ARBfp1.0

#post-process fp
#Author: Rich Whitehouse
#---------------------------------------------------------------------

OUTPUT	out = result.color;
PARAM	screenScale = program.env[0];
PARAM	screenAdd = program.env[1];
TEMP	scrd, screenTC;

MOV	screenTC, fragment.texcoord[1];
RCP	screenTC.w, screenTC.w;
MUL	screenTC, screenTC, screenTC.w;
MOV	screenTC.w, 1.0;
MAD	screenTC, screenTC, screenScale, screenAdd;
SUB	screenTC.y, 1.0, screenTC.y;

#fetch the texture
TEX	scrd, screenTC, texture[0], 2D;
MOV	scrd.w, 1.0;

MUL	scrd, scrd, fragment.color; #factor in vertex color

MOV_SAT	out, scrd;

END
