!!ARBfp1.0

#post-process fp
#Author: Rich Whitehouse
#---------------------------------------------------------------------

OUTPUT	out = result.color;
PARAM	screenScale = program.env[0];
PARAM	screenAdd = program.env[1];
TEMP	scrd, screenTC, screenTC2, screenTCVec, scrb;

MOV	screenTC, fragment.texcoord[1];
RCP	screenTC.w, screenTC.w;
MUL	screenTC, screenTC, screenTC.w;
MOV	screenTC.w, 1.0;
MAD	screenTC, screenTC, screenScale, screenAdd;
SUB	screenTC.y, 1.0, screenTC.y;

MOV	screenTC2, fragment.texcoord[2];
RCP	screenTC2.w, screenTC2.w;
MUL	screenTC2, screenTC2, screenTC2.w;
MOV	screenTC2.w, 1.0;
MAD	screenTC2, screenTC2, screenScale, screenAdd;
SUB	screenTC2.y, 1.0, screenTC2.y;

SUB	screenTCVec, screenTC2, screenTC;

#fetch the texture
TEX	scrd, screenTC, texture[0], 2D;

#do another 3 samples back toward the non-offset position
MAD	screenTC2, screenTCVec, 0.1, screenTC;
TEX	scrb, screenTC2, texture[0], 2D;
ADD	scrd, scrd, scrb;

MAD	screenTC2, screenTCVec, 0.2, screenTC;
TEX	scrb, screenTC2, texture[0], 2D;
ADD	scrd, scrd, scrb;

MAD	screenTC2, screenTCVec, 0.3, screenTC;
TEX	scrb, screenTC2, texture[0], 2D;
ADD	scrd, scrd, scrb;

MUL	scrd, scrd, 0.25;

MOV	scrd.w, 1.0;
MUL	scrd, scrd, fragment.color; #factor in vertex color

MOV_SAT	out, scrd;

END
