!!ARBfp1.0

#hdr tone mapping (resolves to the 32-bit backbuffer)
#Author: Rich Whitehouse
#---------------------------------------------------------------------

OUTPUT	out = result.color;
PARAM	gamex = program.env[0];

TEMP	scrd, blur;

#fetch the textures
TEX	scrd, fragment.texcoord[0], texture[0], 2D;
TEX	blur, fragment.texcoord[0], texture[1], 2D;

MAD	scrd.xyz, blur, gamex.z, scrd;

MUL	scrd.xyz, scrd, gamex.y;

POW	scrd.x, scrd.x, gamex.x;
POW	scrd.y, scrd.y, gamex.x;
POW	scrd.z, scrd.z, gamex.x;

MOV_SAT	out, scrd;

END
